from waeup.custom.testing import FunctionalLayer
from waeup.sirp.students.tests.test_browser import StudentsFullSetup

class StudentUITests(StudentsFullSetup):
    # Tests for customized student class views and pages

    layer = FunctionalLayer

    def test_manage_payments(self):
        # Managers can add online payment tickets
        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
        self.browser.open(self.payments_student_path)
        self.browser.getLink("Manage").click()
        self.browser.getControl("Add online payment ticket").click()
        self.browser.getControl("Create ticket").click()
        self.assertMatches('...amount could not be determined...',
                           self.browser.contents)
        self.browser.open(self.manage_student_path)
        self.browser.getControl(name="transition").value = ['admit']
        self.browser.getControl("Save").click()
        self.browser.getControl(name="transition").value = ['start_clearance']
        self.browser.getControl("Save").click()
        self.browser.getControl(name="transition").value = ['request_clearance']
        self.browser.getControl("Save").click()
        self.browser.getControl(name="transition").value = ['clear']
        self.browser.getControl("Save").click()
        self.browser.open(self.payments_student_path + '/addop')
        self.browser.getControl("Create ticket").click()
        self.assertMatches('...ticket created...',
                           self.browser.contents)
